curl --request POST \
--url https://app.silnahealth.com/api/public/v1/payor-contracts/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"payor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_locations": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"provider_id": null,
"mso_id": null,
"clinician_id": null,
"provider_group_id": null,
"insurance_types": [],
"plans": [],
"excluded_plans": [],
"medicaid_id": null,
"ipa_required": null
}
'import requests
url = "https://app.silnahealth.com/api/public/v1/payor-contracts/"
payload = {
"payor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_locations": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"provider_id": None,
"mso_id": None,
"clinician_id": None,
"provider_group_id": None,
"insurance_types": [],
"plans": [],
"excluded_plans": [],
"medicaid_id": None,
"ipa_required": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
payor_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
service_locations: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
provider_id: null,
mso_id: null,
clinician_id: null,
provider_group_id: null,
insurance_types: [],
plans: [],
excluded_plans: [],
medicaid_id: null,
ipa_required: null
})
};
fetch('https://app.silnahealth.com/api/public/v1/payor-contracts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Create Payor Contract
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The payor's Silna identifier
At least one service location is required.
1The provider's Silna identifier
The MSO's Silna identifier
The clinician's Silna identifier. Specify either clinician_id or provider_group_id.
The provider group's Silna identifier. Specify either clinician_id or provider_group_id.
Specifies which insurance types this contract covers. When no types are selected, the contract applies to all insurance types.
COMMERCIAL, MEDICARE, MEDICAID, REGIONAL_CENTER, WORKERS_COMPENSATION, AUTO_INSURANCE Select specific plans to include. When no plans are selected, the contract applies to all plans. Cannot be combined with excluded_plans.
Select specific plans to exclude. The contract will apply to all plans except those selected. Cannot be combined with plans.
Medicaid ID
When enabled, this contract only applies when the patient is associated with one of the contract's IPAs.
Response
The newly created contract's Silna identifier